function plot(Th,eigenvectors,eigenvalues,varargin)
  p = inputParser; 
  p.addParameter('isolines',false,@islogical);
  p.addParameter('demo',false,@islogical); % demo mode
  p.addParameter('nfig',0);
  p.parse(varargin{:});
  R=p.Results;
  n=length(eigenvalues);
  if size(eigenvalues,1)==size(eigenvalues,2), eigenvalues=diag(eigenvalues);end
  if R.demo 
    options=fc_tools.graphics.DisplayFigures('nfig',n);
  end
  for i=1:n
   % h=figure('visible',visible);
    h=figure(i+R.nfig);
    colormap jet
    if iscell(eigenvectors)
      V=abs(eigenvectors{i}{1}).^2;
      for j=2:length(eigenvectors{i})
        V=V+abs(eigenvectors{i}{j}).^2;
      end
      V=sqrt(V);
    else
      V=eigenvectors(:,i);
    end
    if ~isreal(V), V=abs(V);end
    Th.plot(V,'plan',true)
    hold on, axis image,  axis off
    Th.plotiso(V,'isorange',0,'plan',true,'Color','k','LineWidth',1)
    emin=min(V);emax=max(V);M=max(abs(emin),abs(emax));
    caxis([-M,M])
    if R.isolines
      if emin>=-1e-3 || emax<1e-3
        Th.plotiso(V,'niso',10,'plan',true,'Color','k','LineWidth',1)
      else
        Th.plotiso(V,'isorange',linspace(emin,0,5),'plan',true,'Color','k','LineWidth',1,'LineStyle','-.')
        Th.plotiso(V,'isorange',linspace(0,emax,5),'plan',true,'Color','k','LineWidth',1)
      end
      Th.plotiso(V,'isorange',[0],'plan',true,'Color','k','LineWidth',2)
    end
    shading interp
    if isreal(eigenvalues(i))
      title(['\lambda=',sprintf('%.3f',eigenvalues(i))])
    else 
      title(['\lambda=',num2str(eigenvalues(i))])
    end
    hold off
    drawnow
  end
end